<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Links</title>
</head>
<body>

    <!-- id attribute assigned a unique named identifier to an element -->
    <h2 id="top">HTML Attributes</h2>
    <p><em>Modifies of element behaviors</em></p>
    <p align="center">Another paragraph</p>
    <!-- HTml elements have default "behavior" when shown in a browser Attributes allows us to change these behaviors -->
    
    <!-- The target attribute defines where the link will be opened -->
    <a href="https://place-puppy.com/" target="_blank">
        <img src="https://place-puppy.com/300x300" alt="puppy image" height="250" width="250"></a>

    <img src="./image2.jpg" alt="random image" height="250" width="250" align="right">

    <p>Valid images extensions are the following</p>
    <ol type="a" reversed>
        <li>jpg</li>
        <li>png</li>
        <li>svg</li>
        <li>gif</li>
        <li>webp</li>
    </ol>

    <!-- Hyperlinks -->
    <h2>HTML Links</h2>
    <h4>Absolute Links</h4>
    <!-- Anchor tag -->
    <!-- href == hypertext reference -->
    <a href="https://zuitt.co">I'm an Absolute Link</a>

    <!-- Relative Links -->
    <h4>Relative Links</h4>
    <p>Go to <a href="./link.html">link.html</a></p>
    <p>Go to <a href="#top">Top</a></p>
    <p>Go to <a href="./images/image.html">image.html</a></p>
</body>
</html>